﻿@model UserClaimsVM
@{
    ViewData["Title"] = "Add or Remove User Claims";
    string userID = ViewBag.UserID;
}

<form method="post">
    <div class="card">
        <div class="card-header"><h2>Add or remove claims</h2></div>
        <div class="card-body">
            @for (int i = 0; i < Model.Claims.Count; i++)
            {
            <div class="form-check m-1">
                <input type="hidden" asp-for="@Model.Claims[i].ClaimType" />
                <input type="hidden" asp-for="@Model.Claims[i].ClaimValue" />
                <input asp-for="@Model.Claims[i].IsSelected" class="form-check-input" />
                <label class="form-check-label" asp-for="@Model.Claims[i].IsSelected">
                    @Model.Claims[i].ClaimType
                </label>
            </div>
            }

            <div asp-validation-summary="All" class="text-danger"></div>
        </div>
        <div class="card-footer">
            <input type="hidden" name="userID" value="@userID" />
            <input type="submit" value="Update" class="btn btn-success" />
            <a asp-action="UpdateUser" asp-route-id="@userID" class="btn btn-success">Cancel</a>
        </div>
    </div>

</form>